using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{
    /// <summary>
    /// 丽秀体质问题
    /// </summary>
    [SugarTable("YB_LXBodyQA", TableDescription = "丽秀体质问题", IsDisabledUpdateAll = false, IsDisabledDelete = true)]
    public class YB_LXBodyQA
    {
        /// <summary>
        /// 主键
        /// </summary>
        [SugarColumn(IsPrimaryKey = true)]
        public Guid Id { get; set; }
        /// <summary>
        /// 问题
        /// </summary>
        [SugarColumn(ColumnDescription = "问题", ColumnDataType = "nvarchar(100)")]
        public string Title { get; set; }
        /// <summary>
        /// 排序,数字越小越靠前
        /// </summary>
        [SugarColumn(ColumnDescription = "排序,数字越小越靠前")]
        public int SortCode { get; set; }
        /// <summary>
        /// 体质ID
        /// </summary>
        [SugarColumn(ColumnDescription = "体质ID")]
        public Guid TypeId { get; set; }
        /// <summary>
        /// 没有(根本不)的分数值
        /// </summary>
        [SugarColumn(ColumnDescription = "没有(根本不)的分数值")]
        public int NoneValue { get; set; }
        /// <summary>
        /// 很少(有一点)的分数值
        /// </summary>
        [SugarColumn(ColumnDescription = " 很少(有一点)的分数值")]
        public int LittleValue { get; set; }
        /// <summary>
        /// 有时(有些)的分数值
        /// </summary>
        [SugarColumn(ColumnDescription = "有时(有些)的分数值")]
        public int SomeValue { get; set; }
        /// <summary>
        /// 经常(相当)的分数值
        /// </summary>
        [SugarColumn(ColumnDescription = "经常(相当)的分数值")]
        public int OftenValue { get; set; }
        /// <summary>
        /// 总是(非常)的分数值
        /// </summary>
        [SugarColumn(ColumnDescription = "总是(非常)的分数值")]
        public int AlWaysValue { get; set; }
        /// <summary>
        /// 分数是否需要逆向转换
        /// </summary>
        [SugarColumn(ColumnDescription = "分数需要逆向转换")]
        public int IsRequired { get; set; } = 0;
        /// <summary>
        /// 是否关联性别,1-男,2-女,0-未知
        /// </summary>
        [SugarColumn(ColumnDescription = "是否关联性别,1-男,2-女,0-未知")]
        public int IsSex { get; set; } = 1;
        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间")]
        public DateTime CreateTime { get; set; }
    }
}
